Bug 729959 - libvirtd complains about virConnectNumOfInterfaces and virConnectNumOfDefinedInterfaces with remote connections
Summary: libvirtd complains about virConnectNumOfInterfaces and virConnectNumOfDefined...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 12:00 UTC by Pierre Ossman
Modified: 2016-03-23 13:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-23 13:13:02 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2011-08-11 12:00:07 UTC
I'm connecting to my CentOS 6 libvirtd using virt-manager from my Fedora 14 and I get lots of these in messages:

Aug 11 13:51:03 asgard libvirtd: 13:51:03.474: 26145: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfDefinedInterfaces
Aug 11 13:51:04 asgard libvirtd: 13:51:04.475: 14666: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfInterfaces
Aug 11 13:51:04 asgard libvirtd: 13:51:04.478: 313: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfDefinedInterfaces
Aug 11 13:51:05 asgard libvirtd: 13:51:05.477: 14663: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfInterfaces
Aug 11 13:51:05 asgard libvirtd: 13:51:05.480: 14665: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfDefinedInterfaces
Aug 11 13:51:06 asgard libvirtd: 13:51:06.477: 14664: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfInterfaces
Aug 11 13:51:06 asgard libvirtd: 13:51:06.480: 26145: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfDefinedInterfaces
Aug 11 13:51:07 asgard libvirtd: 13:51:07.476: 14666: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfInterfaces
Aug 11 13:51:07 asgard libvirtd: 13:51:07.482: 313: error : virLibConnError:490 : this function is not supported by the connection driver: virConnectNumOfDefinedInterfaces

Looking at http://libvirt.org/hvsupport.html, these are not supported over a remote connection until 0.7.2, but spamming messages like this is not sensible. Either libvirtd should shut up about unsupported functions, or virt-manager should be more clever and not try to use unsupported functions.

Comment 1 osama 2015-12-25 05:20:42 UTC
experiencing the same issue

Comment 2 Cole Robinson 2016-03-23 13:13:02 UTC
I believe virt-manager did get more clever about this. If anyone can still reproduce with a recent virt-manager version, please file a new virt-manager bug


Note You need to log in before you can comment on or make changes to this bug.